## clojure1.6 1.6.0+dfsg

=== debian/changelog ===
clojure1.6 (1.6.0+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Fixed the installation of the man pages

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Dec 2016 16:40:29 +0100

clojure1.6 (1.6.0+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS
  * Use file-rename instead of prename
  * Build the upstream tarball from the Git repository
  * Switch to debhelper level 10
  * Use secure Vcs-* URLs
  * Removed the unused BSD paragraph in debian/copyright

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 22 Dec 2016 15:33:13 +0100

clojure1.6 (1.6.0+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * debian/copyright:
    - Update Format: field URL.
    - Associate "Files: *" with Rich Hickey copyright statement.
  * Depend on java6-runtime-headless. (Closes: #775450)

  [ Emmanuel Bourg ]
  * Depend on libasm-java (>= 5.0) instead of libasm4-java
  * Standards-Version updated to 3.9.8
  * Use canonical Vcs URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 03 Oct 2016 14:16:33 +0200

clojure1.6 (1.6.0+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 14 Jun 2014 10:31:12 +0900

clojure1.4 (1.4.0+dfsg-3) unstable; urgency=low

  * Team upload.
  * Build-Depend on default-jdk instead of openjdk-6-jdk.
    - Thanks to Stefano Rivera.  (Closes: #674930)
  * Update Vcs-Git URL.
  * Update runtime dependencies on JREs to -headless variants.
    - Thanks to rufo.  (Closes: #696451)
  * Bump Standards-Version to 3.9.5 (no changes)
  * Drop deprecated DMUA flag.
  * Update dependency and compat level of debhelper to 9.

 -- tony mancill <tmancill@debian.org>  Sun, 17 Nov 2013 17:47:10 -0800

clojure1.4 (1.4.0+dfsg-2) unstable; urgency=low

  * debian/patches/01-replace-asm: now depends on asm and asm-commons.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 19 May 2012 20:08:56 +0900

clojure1.4 (1.4.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Process markdown documents:
    debian/{rules,control,header.html,footer.html}.
  * debian/control: Bumped Standards-Version to 3.9.3.
  * debian/docs: Merged into debian/rules.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 21 Apr 2012 12:39:27 +0900

clojure1.3 (1.3.0+dfsg-3) unstable; urgency=low

  * Removed the patch: debian/patches/20111007-pom.xml.remove_parent.diff
    - Use mh_installpom --no-parent instead.

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 30 Nov 2011 18:15:57 +0900

clojure1.3 (1.3.0+dfsg-2) unstable; urgency=low

  * Added a patch: debian/patches/20111007-pom.xml.remove_parent.diff
    removing the parent element which might cause an error to use
    the library.

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 07 Oct 2011 19:58:08 +0900

clojure1.3 (1.3.0+dfsg-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Fixed the lintian error syntax-error-in-dep5-copyright

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 25 Sep 2011 16:01:02 +0900

clojure1.2 (1.2.1+dfsg-3) unstable; urgency=low

  * debian/patches/01-replace-asm: Updated Class-Path to use absolute
    paths.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 26 Jul 2011 23:03:28 +0900

clojure1.2 (1.2.1+dfsg-2) unstable; urgency=low

  * Prepare for a future release.
  * debian/control: Fixed a lintian warning,
    description-synopsis-starts-with-article.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 21 Jun 2011 23:10:38 +0900

clojure1.2 (1.2.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Changed the patch system from silk to normal quilt.
    - the repository layout has been changed.
    - removed debian/README.source
  * debian/rule:
    - Clean up temporary files generated by maven-repo
  * Added update-alternative for clojure and clojurec commands:
    - debian/clojure1.2.postinst
    - debian/clojure1.2.prerm
    - debian/control
      They conflict with the 'clojure' package.

 -- Daigo Moriwaki <daigo@debian.org>  Tue, 21 Jun 2011 21:50:06 +0900

clojure1.2 (1.2.0+dfsg-1) unstable; urgency=low

  [ Peter Collingbourne ]
  * debian/copyright, debian/watch: Modified for new download location
  * New upstream release.
  * debian/README.Debian, debian/clojure-repl.1, debian/manpages,
    debian/scripts/clojure-repl: removed clojure-repl as it has been
    deprecated for a while now
  * debian/control, debian/dirs, debian/gencompletions.clj,
    debian/rules, debian/scripts/clojure: add optional support for
    rlwrap (closes: #572432)
  * debian/control: bumped Standards-Version to 3.9.1
  * debian/clojure.poms, debian/control, debian/maven.rules,
    debian/rules, debian/scripts/clojure, debian/scripts/clojurec:
    Introduce versioning support

  [ Daigo Moriwaki ]
  * debian/control:
    - Bumped up Standards-Version to 3.9.2.
    - Added myself in Uploaders.
  * Added debian/source/format.
  * debian/changelog:
    - Use Machine-readable format.
    - Mentioned src/clj/clojure/repl.clj
      (thanks to Luca Falavigna)

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 26 May 2011 21:28:07 +0900

clojure (1.1.0+dfsg-1) unstable; urgency=low

  * debian/rules, debian/watch: Modified the get-orig-source rule and
    watchfile to handle more source layouts
  * New upstream release.
  * debian/clojure.poms, debian/control, debian/dirs,
    debian/maven.rules, debian/patches/01-system-asm.patch,
    debian/rules: Register clojure in the maven repository
  * debian/control: upped Standards-Version to 3.8.4
  * debian/rules: Set the changes.txt file as the upstream changelog
  * debian/copyright: updated to reflect current licensing position
  * debian/copyright: bumped year to 2010
  * debian/clojurec.1, debian/scripts/clojurec: added a -W or -Wreflect
    option to clojurec
  * debian/clojure-repl.1, debian/clojurec.1: escaped all program option
    dashes
  * debian/control: changed Vcs-* references to new location
  * debian/README.source: documented the use of silt


