=== debian/rules ===
#!/usr/bin/make -f

SOURCE = $(shell dpkg-parsechangelog | grep ^Source | sed "s/Source: //")
VER = $(shell echo $(SOURCE) | sed s/^clojure//)

JAVA_HOME = /usr/lib/jvm/default-java

%:
	dh $@ --with maven-repo-helper

override_dh_auto_build:
	dh_auto_build -- jar

	# Convert changes.md to html
	cat debian/header.html > changes.html
	sed -i'' -e 's/@TITLE@/$(shell head -n 1 $< | sed 's/^#*\s*//')/g' changes.html
	markdown changes.md >> changes.html
	cat debian/footer.html >> changes.html

override_dh_install:
	$(JAVA_HOME)/bin/java -cp /usr/share/java/asm.jar:/usr/share/java/asm-commons.jar:clojure.jar clojure.main debian/gencompletions.clj > debian/$(SOURCE)/etc/rlwrap/clojure$(VER)

	dh_install

	sed -i 's/@VER@/$(VER)/g' debian/$(SOURCE)/usr/bin/*
	file-rename 's/$$/$(VER)/' debian/$(SOURCE)/usr/bin/*
	mh_installpom -p$(SOURCE) --no-parent pom.xml
	mh_installjar -p$(SOURCE) -l -s pom.xml clojure.jar /usr/share/java/clojure-$(VER).jar

override_dh_installman:
	dh_installman
	file-rename 's/\.(.)$$/$(VER).$$1/' debian/$(SOURCE)/usr/share/man/*/*

override_dh_installchangelogs:
	dh_installchangelogs -- changes.html

get-orig-source:
	uscan --download-current-version --force-download --repack --rename --compression xz
